%global debug_package %{nil}

%define app mediawiki
%define branch REL1_43

Name:		%{app}-x
Conflicts:	%{app}
Provides:	%{app}

Version:	1.43.0
Release:	4%{?dist}

License:	GPL-2.0-or-later		
Summary:	Customized MediaWiki engine with bundled extensions
URL:		https://www.%{app}.org/w/index.php?title=MediaWiki

Patch0:		0.patch

Source0: 	https://releases.wikimedia.org/%{app}/1.43/%{app}-%{version}.tar.gz

# https://www.svgrepo.com/svg/NUMBER/NAME
# https://www.svgrepo.com/download/NUMBER/NAME.svg
Source1: 	https://www.svgrepo.com/download/374395/related-list.svg
Source2: 	https://www.svgrepo.com/download/378565/bible-2.svg
Source3: 	https://www.svgrepo.com/download/520720/expand.svg

BuildRequires: 	curl
BuildRequires:	httpd

Requires:	glibc, bash, diffutils, git
Requires:	httpd, openssl
Requires:	sqlite >= 3.8.0

Requires:	nodejs
Requires:	python3, python3-pillow
Requires:	perl, pcre >= 8.33

Requires:	php >= 8.1.0
Requires:	php-pecl-apcu
Requires:	php-fpm
Requires:	php-gd
Requires:	php-pecl-igbinary
Requires:	php-intl
Requires:	php-pdo

%description

%prep
%setup -q -n %{app}-%{version}
%patch 0
[ /builddir/build/BUILD/%{name}-%{version}-build/%{app}-%{version} = $PWD ] || exit 1
f() {
 T=$1.tar.gz
 if [ -n $ETC_MOCK_SITE_DEFAULTS_HELLO ]; then
  curl -o $T http://127.0.0.1:45573/$1.tar.gz || exit 1
 else
  curl -o $T https://gerrit.wikimedia.org/r/plugins/gitiles/%{app}/extensions/$1/+archive/refs/heads/%{branch}.tar.gz || exit 1
 fi
 mkdir -p extensions/$1
 /usr/lib/rpm/rpmuncompress -xC $_ $T
 rm $T
}
f CodeMirror
f MobileFrontend
f RegularTooltips
f RelatedArticles
f SandboxLink
f Variables

%build

%install
mkdir -p %{buildroot}%{_datadir}/%{app}
cd $_
mv $OLDPWD/* ./
rmdir $OLDPWD
mvlnk() {
 mkdir -p %{buildroot}$2
 mv $1 $_/%{app}
 #chown -hR apache:apache $_
 ln -sf $2/%{app} $1
}
mvlnk cache %{_localstatedir}/cache
mvlnk images %{_sharedstatedir}
mkdir -p %{buildroot}%{_sysconfdir}/%{app}
ln -sf %{_sysconfdir}/%{app}/LocalSettings.php ./
mkdir -p %{buildroot}%{_localstatedir}/db/%{app}

%files
%{_datadir}
%{_sysconfdir}
%{_localstatedir}

%pre
#[ Enforcing = "$(getenforce)" ] && exit 1
#selinuxenabled && exit 1

%post
chown -hRv apache:apache %{_localstatedir}/db/%{app}    || :
chown -hRv apache:apache %{_localstatedir}/cache/%{app} || :

%preun
chown -hRv root:root %{_localstatedir}/db/%{app}    || :
chown -hRv root:root %{_localstatedir}/cache/%{app} || :

%changelog
